from django.db import models
from django.utils import timezone
from fwd_api.models.Subscription import Subscription

class FeedbackRequest(models.Model):
    id = models.AutoField(primary_key=True)
    feedback_id = models.CharField(max_length=200)  # Change to request_id
    file_name = models.CharField(max_length=200)  # Change to request_id
    origin_name = models.CharField(max_length=200)  # Change to request_id
    error_status = models.JSONField(null=True)
    created_at = models.DateTimeField(default=timezone.now, db_index=True)
    updated_at = models.DateTimeField(auto_now=True)
    subscription = models.ForeignKey(Subscription, on_delete=models.CASCADE)
    S3_uploaded = models.BooleanField(default=False)