import {
  BarController,
  BarElement,
  CategoryScale,
  Chart as ChartJS,
  ChartData,
  ChartOptions,
  ChartTypeRegistry,
  Legend,
  LinearScale,
  LineController,
  LineElement,
  PointElement,
  Tooltip,
} from 'chart.js';
import { Chart } from 'react-chartjs-2';

ChartJS.register(
  LinearScale,
  CategoryScale,
  BarElement,
  PointElement,
  LineElement,
  Legend,
  Tooltip,
  LineController,
  BarController,
);

interface MultiChartProps {
  type: keyof ChartTypeRegistry;
  data: ChartData;
  options?: ChartOptions;
  height: number;
}

export default function MultiTypeChart(props: MultiChartProps) {
  const { type, data, options, height } = props;

  return <Chart type={type} data={data} height={height} options={options} />;
}
