import { PageHeader, PageHeaderProps } from '@ant-design/pro-layout';
import { Typography } from 'antd';

export type SbtPageHeaderProps = Omit<PageHeaderProps, 'breadcrumb'> & {
  routes?: any;
};

export const SbtPageHeader = ({
  title,
  routes = [],
  ...remainProps
}: SbtPageHeaderProps) => {
  return (
    <PageHeader
      title={<Typography.Title level={3}>{title}</Typography.Title>}
      style={{
        padding: '8px 0',
      }}
      {...remainProps}
    />
  );
};
