import { Typography } from 'antd';
import styled from 'styled-components';

const Container = styled.div`
  display: flex;
  border-bottom: 1px solid #ccc;
  padding: 8px 0;
  margin-top: 8px;
`;

function ReportInformation() {
  const data = [
    {
      title: 'Created date',
      content: '11/11/2024',
    },
    {
      title: 'No. requests',
      content: '150',
    },
    {
      title: 'No. images',
      content: '200',
    },
    {
      title: 'No. bad quality images',
      content: '5',
    },
    {
      title: 'Avg client request time',
      content: '3000',
    },
    {
      title: 'Avg OCR process time',
      content: '1500',
    },
    {
      title: 'Avg accuracy',
      content: '11/11/2024',
    },
  ];
  return (
    <>
      {data.map((item) => (
        <Container key={item.title}>
          <Typography.Title
            level={5}
            style={{ marginBottom: 0, minWidth: '250px' }}
          >
            {item.title}
          </Typography.Title>
          <Typography.Text>{item.content}</Typography.Text>
        </Container>
      ))}
    </>
  );
}

export default ReportInformation;
