import { t } from '@lingui/macro';
import { Button, Result } from 'antd';
import { useNavigate } from 'react-router-dom';

export const ForbiddenResult = () => {
  const navigate = useNavigate();

  return (
    <Result
      status='403'
      title='403'
      subTitle={t`Sorry, you are not authorized to access this page.`}
      extra={
        <Button
          onClick={() => navigate('/dashboard')}
          type='primary'
        >{t`Back to Dashboard`}</Button>
      }
    />
  );
};
