export interface User {
  url: string;
  id: number;
  username: string;
  first_name: string;
  last_name: string;
  email: string;
  groups: string[];
  is_staff: boolean;
  is_superuser: boolean;
  is_active: boolean;
  last_login: string;
  date_joined: string;
}

type MemberField = 'id' | 'url' | 'username' | 'first_name' | 'last_name';
export type Member = Pick<User, MemberField>;

export type MemberRole = 'admin' | 'worker';

export type MemberWithRole = Member & {
  role: MemberRole;
};
