import { notification } from 'antd';
import { API } from './api';

type badQualityReasonSubmitParams = {
  request_id: string;
  request_image_id: string;
};

export async function badQualityReasonSubmit(
  params: badQualityReasonSubmitParams,
  reason: string,
  solution: string,
) {
  const data = { reason, solution };

  try {
    const response = await API.post<{ message: string }>(
      `/ctel/request_image/${params.request_id}/${params.request_image_id}/`,
      data,
      {
        headers: {
          'Content-Type': 'multipart/form-data',
        },
      },
    );
    return response.data;
  } catch (error) {
    notification.error({
      message: `${error?.message}`,
    });
    console.log(error);
  }
}
