const fontSize = {
  base: 14,
  h1: 70,
  h2: 52,
  h3: 44,
  h4: 32,
  h5: 26,
  largeTitle: '32px',
  pageTitle: '28px',
  title1: '28px',
  title2: '24px',
  title3: '20px',
  subTitle: '20px',
  body1: '16px',
  body2: '14px',
  body3: '12px',
  caption1: '12px',
  caption2: '11px',
};

const fontWeight = {
  bold: 700,
  medium: 500,
  regular: 400,
  light: 300,
};

const fontColor = {
  default: 'rgba(0, 0, 0, .9)',
  subText: 'rgba(0, 0, 0, .6)',
  hintText: 'rgba(0, 0, 0, .4)',
  dimmedText: 'rgba(0, 0, 0, .2)',
  hyperlink: '#1E5FCB',
};

const lineHeight = {
  title: 1.5,
  bodyText: 1.75,
};

export const typography = {
  fontFamily:
    "'Noto Sans', 'Malgun Gothic', 'Apple SD Gothic', Arial, sans-serif'",
  fontSize,
  fontWeight,
  fontColor,
  lineHeight,
} as const;
