const isAllSpaces = (text) => {
    if (typeof (text) != "string") {
        return false;
    }
    return text.trim().length === 0 || text === "<empty>";
};

const normalizeData = (key, value) => {
    if (value === "<empty>") {
        value = null;
    }
    if (typeof (value) === "string") {
        value = value.trim();
    }
    if (value === "" || value === null || value === undefined) {
        value = null;
    }
    if (isAllSpaces(value)) {
        value = null;
    }
    if (["imei_number", "purchase_date"].includes(key) && typeof(value) === "string") {
        value = value.split(",");
    }
    if(key === 'imei_number' && value === null){
        value = [null]
    }
    if (typeof (value) === "object" && value?.length > 0) {
        for (let i = 0; i < value.length; i++) {
            value[i] = normalizeData("text", value[i]);
        }
    }
    return value;
}

export { normalizeData };